
Ryzom - Bug # 1297

Status: Closed Priority: Normal
Author: Naush Category: Build
Created: 05/20/2011 Assignee: kervala
Updated: 10/03/2012 Due date:
Subject: CMake - improper detection architecture under linux
Description

On both linux 32bits & 64bits, g++ flags -DHAVE_X86 & -DHAVE_X86_64 are missing

It's have probably been introduce in cset 72f92eec5717

History
#1 - 05/20/2011 09:19 pm - kervala

The problem with previous versions was it was checking the host architecture not the target one, so cross compilation was broken.

Now it's checking the size of void* to detect a 32 or 64 bits architecture.

But, currently, I can't check under Linux because I reinstalled my PC.

#2 - 05/20/2011 09:25 pm - Naush

Yep I see the trick. having cross compilation is great things

for the moment removing

IF

Works on i686 & x86_64 architecture, don't know if it's works for you

#3 - 05/20/2011 09:30 pm - kervala
- Status changed from New to Assigned
- Assignee set to kervala
- Estimated time set to 1.00

Thanks. It seems like CMAKE_SYSTEM_PROCESSOR is empty sometimes, I will comment out it for the moment. We'll be able to add more checks
later for other platforms.

#4 - 05/20/2011 09:40 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r1475.
#5 - 05/24/2011 11:43 am - kervala
- Target version set to Version 0.9.0

#6 - 12/07/2011 02:36 pm - sfb
- Status changed from Resolved to Closed
